> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.perkss.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.perkss.io/_mcp/server.

# Transactions Ledger List

GET /api/v1/transactions

Reference: https://docs.perkss.io/api-reference/perkss-partner-api/transactions/transactions-ledger-list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v1
  version: 1.0.0
paths:
  /api/v1/transactions:
    get:
      operationId: TransactionsLedger_list
      summary: Transactions Ledger List
      tags:
        - transactions
      parameters:
        - name: page
          in: query
          description: 1-based page number. Defaults to 1.
          required: false
          schema:
            type: string
        - name: pageSize
          in: query
          description: Rows per page. Defaults to 20, capped at 100.
          required: false
          schema:
            type: string
        - name: type
          in: query
          description: Filter by transaction type.
          required: false
          schema:
            $ref: '#/components/schemas/ApiV1TransactionsGetParametersType'
        - name: storeId
          in: query
          description: >-
            Filter by store id (see GET /api/v1/stores). Partner-API writes are
            store-less and never match a store filter.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Transactions_TransactionsLedger_list_Response_200
components:
  schemas:
    ApiV1TransactionsGetParametersType:
      type: string
      enum:
        - purchase
        - adjustment
        - redemption
        - signup
        - refund
        - migration
      title: ApiV1TransactionsGetParametersType
    Transactions_TransactionsLedger_list_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Transactions_TransactionsLedger_list_Response_200
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/api/v1/transactions"

querystring = {"page":"1","pageSize":"20","storeId":"7b1e9a1e-3d3e-4a1a-9d0a-1f2e3d4c5b6a","type":"purchase"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.example.com/api/v1/transactions?page=1&pageSize=20&storeId=7b1e9a1e-3d3e-4a1a-9d0a-1f2e3d4c5b6a&type=purchase';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/api/v1/transactions?page=1&pageSize=20&storeId=7b1e9a1e-3d3e-4a1a-9d0a-1f2e3d4c5b6a&type=purchase"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/api/v1/transactions?page=1&pageSize=20&storeId=7b1e9a1e-3d3e-4a1a-9d0a-1f2e3d4c5b6a&type=purchase")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/transactions?page=1&pageSize=20&storeId=7b1e9a1e-3d3e-4a1a-9d0a-1f2e3d4c5b6a&type=purchase")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/api/v1/transactions?page=1&pageSize=20&storeId=7b1e9a1e-3d3e-4a1a-9d0a-1f2e3d4c5b6a&type=purchase', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/api/v1/transactions?page=1&pageSize=20&storeId=7b1e9a1e-3d3e-4a1a-9d0a-1f2e3d4c5b6a&type=purchase");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/transactions?page=1&pageSize=20&storeId=7b1e9a1e-3d3e-4a1a-9d0a-1f2e3d4c5b6a&type=purchase")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```